ALTER VIEW [dbo].[V_BASE_GROUP_DOCS_ID]
AS
SELECT        DOC_ID
FROM            dbo.DOCS WITH (NOLOCK)
WHERE        DOC_GROUP_ID IN
                             (SELECT        UG_GROUP_ID
                               FROM            dbo.USERS_GROUPS AS USERS_GROUPS_1
                               WHERE        UG_USER_ID IN
                                                             (SELECT        USER_ID AS Expr1
                                                               FROM            dbo.USERS AS USERS_2 WITH (NOLOCK)
                                                               WHERE        USER_LOGIN = USER AND (USER_ABN_ID=DOC_RECIPIENT_ABN_ID OR USER_ABN_ID=DOC_SENDER_ABN_ID)))
WITH CHECK OPTION;
sp_refreshview 'V_BASE_GROUP_DOCS_ID';

ALTER VIEW [dbo].[V_GROUP_DOCS_ID]
AS
SELECT        DOC_ID
FROM            dbo.DOCS WITH(NOLOCK) 
WHERE (CASE WHEN DOC_INCOMING = CAST(1 AS bit) THEN DOC_RECIPIENT_ABN_ID ELSE DOC_SENDER_ABN_ID END) 
IN
                             (SELECT        USER_ABN_ID
                               FROM            dbo.USERS as USERS_1 WITH(NOLOCK) 
                               WHERE       
							   USER_LOGIN = USER AND USER_DELETED = CAST(0 AS bit)
							   AND DOC_GROUP_ID IN (SELECT UG_GROUP_ID FROM USERS_GROUPS WHERE UG_USER_ID=USER_ID));
sp_refreshview 'V_GROUP_DOCS_ID';

ALTER VIEW [dbo].[V_GROUP_DOCUMENTS]
AS
SELECT        *
FROM            dbo.DOCS WITH(NOLOCK) 
WHERE (CASE WHEN DOC_INCOMING = CAST(1 AS bit) THEN DOC_RECIPIENT_ABN_ID ELSE DOC_SENDER_ABN_ID END) 
IN
(SELECT USER_ABN_ID
FROM dbo.USERS as USERS_1 WITH(NOLOCK) 
WHERE       
USER_LOGIN = USER AND USER_DELETED = CAST(0 AS bit)
AND DOC_GROUP_ID IN (SELECT UG_GROUP_ID FROM USERS_GROUPS WITH(NOLOCK) WHERE UG_USER_ID=USER_ID));
sp_refreshview 'V_GROUP_DOCUMENTS';

ALTER VIEW [dbo].[V_GROUP_DOC_HEADERS]
AS
SELECT * FROM dbo.DOC_HEADERS WITH(NOLOCK)
WHERE HEADER_DOC_ID IN (SELECT DOC_ID FROM dbo.V_GROUP_DOCS_ID WITH(NOLOCK))
WITH CHECK OPTION;
sp_refreshview 'V_GROUP_DOC_HEADERS';
DELETE FROM REFERENCE WHERE REF_CATEGORY = 'PredstLicoRights';
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '02', '  ,  ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '03', '    ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '05', ' ,            ,     ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '06', ' ,            ,     ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '07', '    ,        ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '08', ' ,      (               )    ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '09', ' ,      (               )    ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '10', '      ,      ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '11', '         ,      ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '17', '   / ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '18', '        ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '19', '        ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '20', '      ,      ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '21', '  ()');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '22', '  ()');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '23', ',          () - ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '24', ',          -    ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '25', '       ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '26', '             ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '28', '       ,  , ,   ,    ()     ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '29', '          ,  ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '30', ' ,           ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '31', ',              ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '32', '                 ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '33', '      ,         ()   ()     ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '35', ',                    ,     ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '36', '       ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '37', '     (  )   ,   ,   ,  ,   ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '38', '     (  )   ,   ,   ,  ,   ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '39', '      ,   ');
INSERT INTO REFERENCE (REF_CATEGORY, REF_KEY, REF_VALUE) VALUES('PredstLicoRights', '99', '        ( )');
UPDATE REFERENCE SET REF_VAL4='			$REF  ;;  []	 	WarrantToDate	 	WarrantNum' WHERE REF_KEY='' AND REF_CATEGORY='ABN_TYPE';
INSERT INTO [dbo].[GROUPS] (GRP_NAME, GRP_ALLOWED_DOCTYPES,GRP_ABN_TYPE) VALUES (' 15  ',' _','');
UPDATE REFERENCE SET REF_VALUE='1.10.10.0' WHERE REF_CATEGORY='SYSTEM' AND REF_KEY='SERVER_VERSION';